CVE-2004-0458
CVSS5.0
发布时间 :2004-09-28 00:00:00
修订时间 :2008-09-05 16:38:28
NMCOS    

[原文]mah-jong before 1.6.2 allows remote attackers to cause a denial of service (server crash) via a missing argument, which triggers a null pointer dereference.


[CNNVD]Mah-Jong服务器空指针引用远程服务拒绝漏洞(CNNVD-200409-067)

        mah-jong 1.6.2之前版本存在漏洞。远程攻击者可以借助丢失的参数导致服务拒绝(服务器崩溃),该漏洞引起空指针引用。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:nicolas_boullis:mah-jong:1.4
cpe:/a:nicolas_boullis:mah-jong:1.6

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0458
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0458
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200409-067
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/16143
(VENDOR_ADVISORY)  XF  mah-jong-null-dos(16143)
http://www.securityfocus.com/bid/10343
(VENDOR_ADVISORY)  BID  10343
http://www.debian.org/security/2004/dsa-503
(VENDOR_ADVISORY)  DEBIAN  DSA-503

- 漏洞信息

Mah-Jong服务器空指针引用远程服务拒绝漏洞
中危 输入验证
2004-09-28 00:00:00 2005-10-20 00:00:00
远程  
        mah-jong 1.6.2之前版本存在漏洞。远程攻击者可以借助丢失的参数导致服务拒绝(服务器崩溃),该漏洞引起空指针引用。

- 公告与补丁

        Debian have released an advisory (DSA 503-1), which contains fixes to address this issue. Affected users are advised to upgrade as soon as possible. Further details regarding applying fixes are available in the referenced advisory.
        Nicolas Boullis Mah-Jong 1.4
        

- 漏洞信息

15974
mah-jong NULL Pointer Dereference Remote DoS
Remote / Network Access Denial of Service
Loss of Availability

- 漏洞描述

Unknown or Incomplete

- 时间线

2004-05-13 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Mah-Jong Server NULL Pointer Dereference Remote Denial Of Service Vulnerability
Input Validation Error 10343
Yes No
2004-05-13 12:00:00 2009-07-12 04:07:00
This issue was disclosed in a Debian advisory.

- 受影响的程序版本

Nicolas Boullis Mah-Jong 1.6
Nicolas Boullis Mah-Jong 1.4
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha

- 漏洞讨论

It has been reported that Mah-Jong server is prone to a remote denial of service vulnerability that may cause the server to crash. The issue has been reported to be exploitable so that a remote attacker may cause a vulnerable server to crash by dereferencing a NULL pointer.

It is not currently known whether this issue is restricted to Debian maintained versions of mah-jong or not. Although unconfirmed, other versions may also be affected.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

Debian have released an advisory (DSA 503-1), which contains fixes to address this issue. Affected users are advised to upgrade as soon as possible. Further details regarding applying fixes are available in the referenced advisory.


Nicolas Boullis Mah-Jong 1.4

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站